Subject: Re: Linux on Virtex board with ARCH=powerpc

From: Peter Mendham <[email-masked]>
Date: Fri, 27 Jun 2008 16:24:50 +0100

Hi Aaron,

Thanks - you spotted my mistake when I said "the same root fs" - I was 
indeed changing inittab to use ttyUL0.  For a while I mistakenly had 
ttyUL0 on the 16550 system and that showed me init messages (like 
"mounting file systems") and then when it was done with the rc scripts 
it complained about ttyUL0.  With my uartlite system I see none of 
that.  The early messages go to /dev/console AFAIK, which suggests 
there's something a bit more fundamental going on?

Thanks,
-- Peter

Aaron Sells wrote:
> Peter,
>
> Peter Mendham wrote:
>> I now have a new and rather bizarre problem, which maybe you or 
>> someone else has met before.  I have a simple FPGA design with 
>> memory, a sysace and a uart16550 on an ML405 (I've put my hardware to 
>> one side for the moment).  It works just fine.  If I swap the 
>> uart16550 for a uartlite (remaking the kernel with the correct device 
>> tree) I see all the boot messages and the kernel seems to start OK, 
>> the root partition is mounted but then I see nothing from 
>> /sbin/init.  This is the same root fs that I was using with the 
>> uart16550 example I just mentioned.  So it's a known good root fs, 
>> but it doesn't appear to be able to output to /dev/console when I 
>> have a uartlite instead of a uart16550.  I have selected console 
>> support for uartlite.  Any ideas?
>>
>
> I had to modify /etc/inittab on my OpenEmbedded rootfs and replace 
> ttyS0 with ttyUL0 to get the console working with uartlite on my ML403.
>
>> Thanks,
>> -- Peter
>>
>
> Regards,
> Aaron
>

The University of Dundee is a Scottish Registered Charity, No. SC015096.